﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            XamDataGrid1.DataSource = CreateCategoriesList();
        }

        public ObservableCollection<Categories> CreateCategoriesList()
        {
            ObservableCollection<Categories> _returnlist = new ObservableCollection<Categories>();
            ObservableCollection<Product> tmp = new ObservableCollection<Product>();
            tmp.Add(new Product() { ProductName = "product1", PurchasedAmount = 1, SalesAmount = 2 });

            _returnlist.Add(new Categories() { CategoryName = "category1", DateCreated = "newdate", Products = tmp });
            return _returnlist;
        }

        private void XamDataGrid1_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            if (e.FieldLayout.ParentFieldLayout != null)
            {
                e.FieldLayout.Fields["PurchasedAmount"].Visibility = Visibility.Collapsed;
            }
        }

    }

    public class Categories
    {

        public string CategoryName { get; set; }

        public string DateCreated { get; set; }

        public ObservableCollection<Product> Products { get; set; }


    }

    public class Product
    {

        public string ProductName { get; set; }

        public double PurchasedAmount { get; set; }

        public double SalesAmount { get; set; }

    }

}
